;;;; srfi-19.scm

(module srfi-19

(;export
  ; SRFI-19
  time-tai
  time-utc
  time-monotonic
  time-thread
  time-process
  time-duration
  time-gc
  current-date
  current-julian-day
  current-modified-julian-day
  current-time
  time-resolution
  make-time
  time?
  time-type
  time-nanosecond
  time-second
  set-time-type!
  set-time-nanosecond!
  set-time-second!
  copy-time
  time<=?
  time<?
  time=?
  time>=?
  time>?
  time-difference
  time-difference!
  add-duration
  add-duration!
  subtract-duration
  subtract-duration!
  make-date
  date?
  date-nanosecond
  date-second
  date-minute
  date-hour
  date-day
  date-month
  date-year
  date-zone-offset
  leap-year? ; Actually part of SRFI 19 but not in original document
  date-year-day
  date-week-day
  date-week-number
  date->julian-day
  date->modified-julian-day
  date->time-monotonic
  date->time-tai
  date->time-utc
  julian-day->date
  julian-day->time-monotonic
  julian-day->time-tai
  julian-day->time-utc
  modified-julian-day->date
  modified-julian-day->time-monotonic
  modified-julian-day->time-tai
  modified-julian-day->time-utc
  time-monotonic->date
  time-monotonic->julian-day
  time-monotonic->modified-julian-day
  time-monotonic->time-tai
  time-monotonic->time-tai!
  time-monotonic->time-utc
  time-monotonic->time-utc!
  time-tai->date
  time-tai->julian-day
  time-tai->modified-julian-day
  time-tai->time-monotonic
  time-tai->time-monotonic!
  time-tai->time-utc
  time-tai->time-utc!
  time-utc->date
  time-utc->julian-day
  time-utc->modified-julian-day
  time-utc->time-monotonic
  time-utc->time-monotonic!
  time-utc->time-tai
  time-utc->time-tai!
  date->string
  string->date
  ; Extensions
  time-record-printer-format
  date-record-printer-format
  one-second-duration
  one-nanosecond-duration
  zero-time
  time-type?
  make-duration
  divide-duration
  divide-duration!
  multiply-duration
  multiply-duration!
  time->srfi-18-time
  srfi-18-time->time
  time-max
  time-min
  time-negative?
  time-positive?
  time-zero?
  time-abs
  time-abs!
  time-negate
  time-negate!
  seconds->time
  seconds->date
  time->nanoseconds
  nanoseconds->time
  nanoseconds->seconds
  read-leap-second-table
  time->milliseconds
  time->seconds
  milliseconds->time
  milliseconds->seconds
  time->date
  default-date-clock-type
  date-zone-name
  date-dst?
  copy-date
  date->time
  date->seconds
  date-adjust
  date-difference
  date-add-duration
  date-subtract-duration
  date=?
  date>?
  date<?
  date>=?
  date<=?
  date-max
  date-min
  time->julian-day
  time->modified-julian-day
  date-compare
  time-compare
  format-date
  scan-date
  timezone-name?
  timezone-info?
  local-timezone-locale
  utc-timezone-locale
  timezone-locale-name
  timezone-locale-offset
  timezone-locale-dst?
  ; DEPRECATED
  seconds->time/type
  seconds->date/type)

(import scheme)
(import (chicken module))
(import srfi-19-timezone)
(import srfi-19-support)
(import srfi-19-time)
(import srfi-19-date)
(import srfi-19-io)

) ;module srfi-19
